/*-------------------------------------------------------------------------+
| Copyright 2019 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.ui.editor.fx.visuals;

import static org.fortiss.tooling.base.layout.DefaultLayoutConstants.DEFAULT_CONNECTOR_SIZE;

import org.fortiss.tooling.base.layout.DefaultLayoutConstants;

import javafx.geometry.Dimension2D;

/**
 * This class contains corrections of {@link DefaultLayoutConstants}.
 * 
 * @author hoelzl
 */
class CoordinateCorrections {
	/** The insets of components. */
	/* package */ static final Dimension2D COMPONENT_INSETS =
			new Dimension2D(DEFAULT_CONNECTOR_SIZE / 2, DEFAULT_CONNECTOR_SIZE / 2);
	/** The default size of ports. */
	/* package */ static final Dimension2D PORT_DIMENSION =
			new Dimension2D(DEFAULT_CONNECTOR_SIZE, DEFAULT_CONNECTOR_SIZE);
	/** The insets of the port visuals. */
	/* package */ static final double PORT_INSET = DEFAULT_CONNECTOR_SIZE / 4.5;
}
